<?php



// Load Nette Framework
// this allows load Nette Framework classes automatically so that
// you don't have to litter your code with 'require' statements
require WWW_DIR . '/libs/Nette/loader.php';

// Enable Debug for error visualisation & logging
Debug::enable();

// Load configuration from config.neon file
Environment::loadConfig();

// Configure application
$application = Environment::getApplication();

// Setup router
$router = $application->getRouter();

$router[] = new Route('index.php', 'Default:default', Route::ONE_WAY);

$router[] = new Route('<presenter>/<action>[/<id>]', 'Default:default');

function FormContainer_addDatePicker(FormContainer $_this, $name, $label, $cols = NULL, $maxLength = NULL)
{
  return $_this[$name] = new DatePicker($label, $cols, $maxLength);
}

FormContainer::extensionMethod('FormContainer::addDatePicker', 'FormContainer_addDatePicker');  // v PHP 5.2


// Run the application!
$application->run();
